﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model
{
    public class Equipage
    {
        public string Nom { get; set; }
        public string NomRomanise { get; set; }
        public Personnage Capitaine { get; set; }
        public string Region { get; set; }
        public int PremierChap { get; set; }
        public int PremierEp { get; set; }
        public bool Statut { get; set; }
        public string Description { get; set; }
        public Personnage Membre { get; set; }
        public Personnage Allie { get; set; }

        public Equipage(string nom, string nomRomanise, Personnage capitaine, string region, int premierChap, int premierEp, bool statut, string description, Personnage membre, Personnage allie) 
        { 
            Nom = nom;
            NomRomanise = nomRomanise;
            Capitaine = capitaine;
            Region = region;
            PremierChap = premierChap;
            PremierEp = premierEp;
            Statut = statut;
            Description = description;
            Membre = membre;
            Allie = allie;
        }
    }
}
